Subject: Re: [PATCH] strlcpy(): safer and faster version

From: Junio C Hamano <[email-masked]>
Date: Fri, 17 Dec 2021 14:42:05 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> Thanks for saying everything I wanted to say ;-)
>
> Isn't strlcpy() an OpenBSD-initiated effort? So if we're going to update

Yes.

> this at all shouldn't be be aiming for picking an "upstream" here?
> E.g. [1]?

If this were an improvement, yes.  But if I am reading the patch
correctly, it changes what the value returned from the function
means.  I do not think that would fly even in the upstream, without
a very good justification.  Adding a new function that has semantics
different from strlcpy() might be a possibility at upstream, but as
far as this project is concerned, if we were to change the use of
strlcpy() in the codebase, we often have tools that are much better
suited in our arsenal, as Peff already mentioned, so...